!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1029)
  integer, parameter :: nGC_388 = 1
  integer, parameter :: nGC_389 = 2
  integer, parameter :: nGC_382 = 3
  integer, parameter :: nGC_383 = 4
  integer, parameter :: nGC_380 = 5
  integer, parameter :: nGC_381 = 6
  integer, parameter :: nGC_386 = 7
  integer, parameter :: nGC_387 = 8
  integer, parameter :: nGC_384 = 9
  integer, parameter :: nGC_385 = 10
  integer, parameter :: nGC_377 = 11
  integer, parameter :: nGC_376 = 12
  integer, parameter :: nGC_375 = 13
  integer, parameter :: nGC_374 = 14
  integer, parameter :: nGC_371 = 15
  integer, parameter :: nGC_370 = 16
  integer, parameter :: nGC_MZ_GF = 17
  integer, parameter :: nGC_28 = 18
  integer, parameter :: nGC_29 = 19
  integer, parameter :: nGC_22 = 20
  integer, parameter :: nGC_23 = 21
  integer, parameter :: nGC_20 = 22
  integer, parameter :: nGC_21 = 23
  integer, parameter :: nGC_26 = 24
  integer, parameter :: nGC_27 = 25
  integer, parameter :: nGC_24 = 26
  integer, parameter :: nGC_25 = 27
  integer, parameter :: nGC_GG = 28
  integer, parameter :: nGC_14 = 29
  integer, parameter :: nGC_890 = 30
  integer, parameter :: nGC_894 = 31
  integer, parameter :: nGC_895 = 32
  integer, parameter :: nGC_36 = 33
  integer, parameter :: nGC_83 = 34
  integer, parameter :: nGC_796 = 35
  integer, parameter :: nGC_84 = 36
  integer, parameter :: nGC_MMW_GF = 37
  integer, parameter :: nGC_85 = 38
  integer, parameter :: nGC_879 = 39
  integer, parameter :: nGC_I = 40
  integer, parameter :: nGC_877 = 41
  integer, parameter :: nGC_331 = 42
  integer, parameter :: nGC_330 = 43
  integer, parameter :: nGC_337 = 44
  integer, parameter :: nGC_336 = 45
  integer, parameter :: nGC_335 = 46
  integer, parameter :: nGC_81 = 47
  integer, parameter :: nGC_339 = 48
  integer, parameter :: nGC_82 = 49
  integer, parameter :: nGC_338 = 50
  integer, parameter :: nGC_3 = 51
  integer, parameter :: nGC_2 = 52
  integer, parameter :: nGC_1 = 53
  integer, parameter :: nGC_424 = 54
  integer, parameter :: nGC_7 = 55
  integer, parameter :: nGC_6 = 56
  integer, parameter :: nGC_5 = 57
  integer, parameter :: nGC_4 = 58
  integer, parameter :: nGC_9 = 59
  integer, parameter :: nGC_8 = 60
  integer, parameter :: nGC_333 = 61
  integer, parameter :: nGC_348 = 62
  integer, parameter :: nGC_332 = 63
  integer, parameter :: nGC_346 = 64
  integer, parameter :: nGC_347 = 65
  integer, parameter :: nGC_344 = 66
  integer, parameter :: nGC_345 = 67
  integer, parameter :: nGC_342 = 68
  integer, parameter :: nGC_343 = 69
  integer, parameter :: nGC_340 = 70
  integer, parameter :: nGC_341 = 71
  integer, parameter :: nGC_16 = 72
  integer, parameter :: nGC_15 = 73
  integer, parameter :: nGC_53 = 74
  integer, parameter :: nGC_52 = 75
  integer, parameter :: nGC_51 = 76
  integer, parameter :: nGC_50 = 77
  integer, parameter :: nGC_57 = 78
  integer, parameter :: nGC_56 = 79
  integer, parameter :: nGC_55 = 80
  integer, parameter :: nGC_54 = 81
  integer, parameter :: nGC_13 = 82
  integer, parameter :: nGC_59 = 83
  integer, parameter :: nGC_58 = 84
  integer, parameter :: nGC_12 = 85
  integer, parameter :: nGC_11 = 86
  integer, parameter :: nGC_10 = 87
  integer, parameter :: nGC_512 = 88
  integer, parameter :: nGC_168 = 89
  integer, parameter :: nGC_162 = 90
  integer, parameter :: nGC_164 = 91
  integer, parameter :: nGC_489 = 92
  integer, parameter :: nGC_19 = 93
  integer, parameter :: nGC_1131 = 94
  integer, parameter :: nGC_1133 = 95
  integer, parameter :: nGC_762 = 96
  integer, parameter :: nGC_763 = 97
  integer, parameter :: nGC_598 = 98
  integer, parameter :: nGC_1005 = 99
  integer, parameter :: nGC_1007 = 100
  integer, parameter :: nGC_399 = 101
  integer, parameter :: nGC_398 = 102
  integer, parameter :: nGC_391 = 103
  integer, parameter :: nGC_390 = 104
  integer, parameter :: nGC_393 = 105
  integer, parameter :: nGC_392 = 106
  integer, parameter :: nGC_395 = 107
  integer, parameter :: nGC_394 = 108
  integer, parameter :: nGC_397 = 109
  integer, parameter :: nGC_396 = 110
  integer, parameter :: nGC_658 = 111
  integer, parameter :: nGC_308 = 112
  integer, parameter :: nGC_17 = 113
  integer, parameter :: nGC_481 = 114
  integer, parameter :: nGC_482 = 115
  integer, parameter :: nGC_521 = 116
  integer, parameter :: nGC_526 = 117
  integer, parameter :: nGC_488 = 118
  integer, parameter :: nGC_18 = 119
  integer, parameter :: nGC_1125 = 120
  integer, parameter :: nGC_487 = 121
  integer, parameter :: nGC_MW_GF = 122
  integer, parameter :: nGC_999 = 123
  integer, parameter :: nGC_997 = 124
  integer, parameter :: nGC_994 = 125
  integer, parameter :: nGC_992 = 126
  integer, parameter :: nGC_990 = 127
  integer, parameter :: nGC_418 = 128
  integer, parameter :: nGC_419 = 129
  integer, parameter :: nGC_486 = 130
  integer, parameter :: nGC_417 = 131
  integer, parameter :: nGC_414 = 132
  integer, parameter :: nGC_415 = 133
  integer, parameter :: nGC_412 = 134
  integer, parameter :: nGC_413 = 135
  integer, parameter :: nGC_410 = 136
  integer, parameter :: nGC_411 = 137
  integer, parameter :: nGC_416 = 138
  integer, parameter :: nGC_709 = 139
  integer, parameter :: nGC_422 = 140
  integer, parameter :: nGC_421 = 141
  integer, parameter :: nGC_420 = 142
  integer, parameter :: nGC_961 = 143
  integer, parameter :: nGC_429 = 144
  integer, parameter :: nGC_428 = 145
  integer, parameter :: nGC_450 = 146
  integer, parameter :: nGC_739 = 147
  integer, parameter :: nGC_865 = 148
  integer, parameter :: nGC_863 = 149
  integer, parameter :: nGC_944 = 150
  integer, parameter :: nGC_942 = 151
  integer, parameter :: nGC_373 = 152
  integer, parameter :: nGC_372 = 153
  integer, parameter :: nGC_1194 = 154
  integer, parameter :: nGC_HHHH = 155
  integer, parameter :: nGC_379 = 156
  integer, parameter :: nGC_378 = 157
  integer, parameter :: nGC_452 = 158
  integer, parameter :: nGC_451 = 159
  integer, parameter :: nGC_456 = 160
  integer, parameter :: nGC_454 = 161
  integer, parameter :: nGC_892 = 162
  integer, parameter :: nGC_893 = 163
  integer, parameter :: nGC_359 = 164
  integer, parameter :: nGC_358 = 165
  integer, parameter :: nGC_355 = 166
  integer, parameter :: nGC_354 = 167
  integer, parameter :: nGC_357 = 168
  integer, parameter :: nGC_356 = 169
  integer, parameter :: nGC_351 = 170
  integer, parameter :: nGC_350 = 171
  integer, parameter :: nGC_353 = 172
  integer, parameter :: nGC_352 = 173
  integer, parameter :: nGC_673 = 174
  integer, parameter :: nGC_670 = 175
  integer, parameter :: nGC_602 = 176
  integer, parameter :: nGC_48 = 177
  integer, parameter :: nGC_49 = 178
  integer, parameter :: nGC_44 = 179
  integer, parameter :: nGC_45 = 180
  integer, parameter :: nGC_46 = 181
  integer, parameter :: nGC_47 = 182
  integer, parameter :: nGC_40 = 183
  integer, parameter :: nGC_41 = 184
  integer, parameter :: nGC_42 = 185
  integer, parameter :: nGC_43 = 186
  integer, parameter :: nGC_683 = 187
  integer, parameter :: nGC_682 = 188
  integer, parameter :: nGC_178 = 189
  integer, parameter :: nGC_170 = 190
  integer, parameter :: nGC_172 = 191
  integer, parameter :: nGC_174 = 192
  integer, parameter :: nGC_176 = 193
  integer, parameter :: nGC_1084 = 194
  integer, parameter :: nGC_492 = 195
  integer, parameter :: nGC_823 = 196
  integer, parameter :: nGC_490 = 197
  integer, parameter :: nGC_770 = 198
  integer, parameter :: nGC_776 = 199
  integer, parameter :: nGC_774 = 200
  integer, parameter :: nGC_778 = 201
  integer, parameter :: nGC_829 = 202
  integer, parameter :: nGC_828 = 203
  integer, parameter :: nGC_1127 = 204
  integer, parameter :: nGC_822 = 205
  integer, parameter :: nGC_821 = 206
  integer, parameter :: nGC_820 = 207
  integer, parameter :: nGC_827 = 208
  integer, parameter :: nGC_826 = 209
  integer, parameter :: nGC_825 = 210
  integer, parameter :: nGC_824 = 211
  integer, parameter :: nGC_891 = 212
  integer, parameter :: nGC_GPGMGPGM = 213
  integer, parameter :: nGC_916 = 214
  integer, parameter :: nGC_914 = 215
  integer, parameter :: nGC_918 = 216
  integer, parameter :: nGC_852 = 217
  integer, parameter :: nGC_851 = 218
  integer, parameter :: nGC_311 = 219
  integer, parameter :: nGC_310 = 220
  integer, parameter :: nGC_313 = 221
  integer, parameter :: nGC_316 = 222
  integer, parameter :: nGC_319 = 223
  integer, parameter :: nGC_318 = 224
  integer, parameter :: nGC_87 = 225
  integer, parameter :: nGC_152 = 226
  integer, parameter :: nGC_536 = 227
  integer, parameter :: nGC_160 = 228
  integer, parameter :: nGC_409 = 229
  integer, parameter :: nGC_408 = 230
  integer, parameter :: nGC_405 = 231
  integer, parameter :: nGC_404 = 232
  integer, parameter :: nGC_407 = 233
  integer, parameter :: nGC_406 = 234
  integer, parameter :: nGC_400 = 235
  integer, parameter :: nGC_403 = 236
  integer, parameter :: nGC_402 = 237
  integer, parameter :: nGC_625 = 238
  integer, parameter :: nGC_622 = 239
  integer, parameter :: nGC_740 = 240
  integer, parameter :: nGC_741 = 241
  integer, parameter :: nGC_75 = 242
  integer, parameter :: nGC_74 = 243
  integer, parameter :: nGC_77 = 244
  integer, parameter :: nGC_76 = 245
  integer, parameter :: nGC_71 = 246
  integer, parameter :: nGC_70 = 247
  integer, parameter :: nGC_73 = 248
  integer, parameter :: nGC_72 = 249
  integer, parameter :: nGC_79 = 250
  integer, parameter :: nGC_78 = 251
  integer, parameter :: nGC_HHGG = 252
  integer, parameter :: nGC_1211 = 253
  integer, parameter :: nGC_188 = 254
  integer, parameter :: nGC_1212 = 255
  integer, parameter :: nGC_GGH = 256
  integer, parameter :: nGC_427 = 257
  integer, parameter :: nGC_309 = 258
  integer, parameter :: nGC_HHH = 259
  integer, parameter :: nGC_733 = 260
  integer, parameter :: nGC_426 = 261
  integer, parameter :: nGC_401 = 262
  integer, parameter :: nGC_816 = 263
  integer, parameter :: nGC_817 = 264
  integer, parameter :: nGC_814 = 265
  integer, parameter :: nGC_818 = 266
  integer, parameter :: nGC_425 = 267
  integer, parameter :: nGC_349 = 268
  integer, parameter :: nGC_186 = 269
  integer, parameter :: nGC_1025 = 270
  integer, parameter :: nGC_1024 = 271
  integer, parameter :: nGC_441 = 272
  integer, parameter :: nGC_888 = 273
  integer, parameter :: nGC_423 = 274
  integer, parameter :: nGC_80 = 275
  integer, parameter :: nGC_925 = 276
  integer, parameter :: nGC_923 = 277
  integer, parameter :: nGC_920 = 278
  integer, parameter :: nGC_889 = 279
  integer, parameter :: nGC_440 = 280
  integer, parameter :: nGC_443 = 281
  integer, parameter :: nGC_442 = 282
  integer, parameter :: nGC_445 = 283
  integer, parameter :: nGC_444 = 284
  integer, parameter :: nGC_447 = 285
  integer, parameter :: nGC_446 = 286
  integer, parameter :: nGC_881 = 287
  integer, parameter :: nGC_880 = 288
  integer, parameter :: nGC_883 = 289
  integer, parameter :: nGC_882 = 290
  integer, parameter :: nGC_885 = 291
  integer, parameter :: nGC_884 = 292
  integer, parameter :: nGC_887 = 293
  integer, parameter :: nGC_886 = 294
  integer, parameter :: nGC_449 = 295
  integer, parameter :: nGC_86 = 296
  integer, parameter :: nGC_448 = 297
  integer, parameter :: nGC_360 = 298
  integer, parameter :: nGC_361 = 299
  integer, parameter :: nGC_362 = 300
  integer, parameter :: nGC_363 = 301
  integer, parameter :: nGC_364 = 302
  integer, parameter :: nGC_365 = 303
  integer, parameter :: nGC_366 = 304
  integer, parameter :: nGC_367 = 305
  integer, parameter :: nGC_540 = 306
  integer, parameter :: nGC_542 = 307
  integer, parameter :: nGC_732 = 308
  integer, parameter :: nGC_546 = 309
  integer, parameter :: nGC_39 = 310
  integer, parameter :: nGC_38 = 311
  integer, parameter :: nGC_864 = 312
  integer, parameter :: nGC_31 = 313
  integer, parameter :: nGC_33 = 314
  integer, parameter :: nGC_32 = 315
  integer, parameter :: nGC_35 = 316
  integer, parameter :: nGC_34 = 317
  integer, parameter :: nGC_37 = 318
  integer, parameter :: nGC_862 = 319
  integer, parameter :: nGC_144 = 320
  integer, parameter :: nGC_368 = 321
  integer, parameter :: nGC_369 = 322
  integer, parameter :: nGC_148 = 323
  integer, parameter :: nGC_1067 = 324
  integer, parameter :: nGC_312 = 325
  integer, parameter :: nGC_315 = 326
  integer, parameter :: nGC_314 = 327
  integer, parameter :: nGC_66 = 328
  integer, parameter :: nGC_317 = 329
  integer, parameter :: nGC_788 = 330
  integer, parameter :: nGC_789 = 331
  integer, parameter :: nGC_786 = 332
  integer, parameter :: nGC_787 = 333
  integer, parameter :: nGC_784 = 334
  integer, parameter :: nGC_785 = 335
  integer, parameter :: nGC_782 = 336
  integer, parameter :: nGC_783 = 337
  integer, parameter :: nGC_780 = 338
  integer, parameter :: nGC_781 = 339
  integer, parameter :: nGC_669 = 340
  integer, parameter :: nGC_MI = 341
  integer, parameter :: nGC_MH = 342
  integer, parameter :: nGC_MM = 343
  integer, parameter :: nGC_668 = 344
  integer, parameter :: nGC_MC = 345
  integer, parameter :: nGC_MB = 346
  integer, parameter :: nGC_ME = 347
  integer, parameter :: nGC_MD = 348
  integer, parameter :: nGC_MZ = 349
  integer, parameter :: nGC_334 = 350
  integer, parameter :: nGC_MS = 351
  integer, parameter :: nGC_MW = 352
  integer, parameter :: nGC_MU = 353
  integer, parameter :: nGC_MT = 354
  integer, parameter :: nGC_549 = 355
  integer, parameter :: nGC_650 = 356
  integer, parameter :: nGC_63 = 357
  integer, parameter :: nGC_798 = 358
  integer, parameter :: nGC_963 = 359
  integer, parameter :: nGC_1066 = 360
  integer, parameter :: nGC_966 = 361
  integer, parameter :: nGC_965 = 362
  integer, parameter :: nGC_968 = 363
  integer, parameter :: nGC_849 = 364
  integer, parameter :: nGC_848 = 365
  integer, parameter :: nGC_845 = 366
  integer, parameter :: nGC_844 = 367
  integer, parameter :: nGC_847 = 368
  integer, parameter :: nGC_846 = 369
  integer, parameter :: nGC_841 = 370
  integer, parameter :: nGC_840 = 371
  integer, parameter :: nGC_1075 = 372
  integer, parameter :: nGC_328 = 373
  integer, parameter :: nGC_329 = 374
  integer, parameter :: nGC_1073 = 375
  integer, parameter :: nGC_324 = 376
  integer, parameter :: nGC_325 = 377
  integer, parameter :: nGC_326 = 378
  integer, parameter :: nGC_327 = 379
  integer, parameter :: nGC_320 = 380
  integer, parameter :: nGC_321 = 381
  integer, parameter :: nGC_322 = 382
  integer, parameter :: nGC_323 = 383
  integer, parameter :: nGC_819 = 384
  integer, parameter :: nGC_MTA = 385
  integer, parameter :: nGC_708 = 386
  integer, parameter :: nGC_30 = 387
  integer, parameter :: nGC_1198 = 388
  integer, parameter :: nGC_180 = 389
  integer, parameter :: nGC_182 = 390
  integer, parameter :: nGC_184 = 391
  integer, parameter :: nGC_438 = 392
  integer, parameter :: nGC_439 = 393
  integer, parameter :: nGC_430 = 394
  integer, parameter :: nGC_431 = 395
  integer, parameter :: nGC_432 = 396
  integer, parameter :: nGC_433 = 397
  integer, parameter :: nGC_434 = 398
  integer, parameter :: nGC_435 = 399
  integer, parameter :: nGC_436 = 400
  integer, parameter :: nGC_437 = 401
  integer, parameter :: nGC_612 = 402
  integer, parameter :: nGC_613 = 403
  integer, parameter :: nGC_614 = 404
  integer, parameter :: nGC_615 = 405
  integer, parameter :: nGC_616 = 406
  integer, parameter :: nGC_617 = 407
  integer, parameter :: nGC_753 = 408
  integer, parameter :: nGC_757 = 409
  integer, parameter :: nGC_756 = 410
  integer, parameter :: nGC_67 = 411
  integer, parameter :: nGC_64 = 412
  integer, parameter :: nGC_65 = 413
  integer, parameter :: nGC_62 = 414
  integer, parameter :: nGC_60 = 415
  integer, parameter :: nGC_61 = 416
  integer, parameter :: nGC_1065 = 417
  integer, parameter :: nGC_485 = 418
  integer, parameter :: nGC_68 = 419
  integer, parameter :: nGC_69 = 420
  integer, parameter :: nGC_88 = 421
  integer, parameter :: nGC_815 = 422
  integer, parameter :: nGC_505 = 423
  integer, parameter :: nGC_501 = 424
  integer, parameter :: nGC_502 = 425
  integer, parameter :: nGC_1070 = 426
  integer, parameter :: nGC_112 = 427
  integer, parameter :: nGC_1109 = 428
  integer, parameter :: nGC_1105 = 429
  integer, parameter :: nGC_1106 = 430
  integer, parameter :: nGC_1107 = 431
  integer, parameter :: nGC_1101 = 432
  integer, parameter :: nGC_1103 = 433
  integer, parameter :: nGC_801 = 434
  integer, parameter :: nGC_800 = 435
  integer, parameter :: nGC_803 = 436
  integer, parameter :: nGC_802 = 437
  integer, parameter :: nGC_805 = 438
  integer, parameter :: nGC_804 = 439
  integer, parameter :: nGC_807 = 440
  integer, parameter :: nGC_806 = 441
  integer, parameter :: nGC_809 = 442
  integer, parameter :: nGC_808 = 443
  integer, parameter :: nGC_1038 = 444
  integer, parameter :: nGC_1039 = 445
  integer, parameter :: nGC_1030 = 446
  integer, parameter :: nGC_1031 = 447
  integer, parameter :: nGC_1032 = 448
  integer, parameter :: nGC_1033 = 449
  integer, parameter :: nGC_1035 = 450
  integer, parameter :: nGC_717 = 451
  integer, parameter :: nGC_1150 = 452
  integer, parameter :: nGC_939 = 453
  integer, parameter :: nGC_938 = 454
  integer, parameter :: nGC_934 = 455
  integer, parameter :: nGC_931 = 456
  integer, parameter :: nGC_930 = 457
  integer, parameter :: nGC_478 = 458
  integer, parameter :: nGC_479 = 459
  integer, parameter :: nGC_474 = 460
  integer, parameter :: nGC_476 = 461
  integer, parameter :: nGC_477 = 462
  integer, parameter :: nGC_473 = 463
  integer, parameter :: nGC_1159 = 464
  integer, parameter :: nGC_496 = 465
  integer, parameter :: nGC_497 = 466
  integer, parameter :: nGC_494 = 467
  integer, parameter :: nGC_495 = 468
  integer, parameter :: nGC_493 = 469
  integer, parameter :: nGC_559 = 470
  integer, parameter :: nGC_491 = 471
  integer, parameter :: nGC_557 = 472
  integer, parameter :: nGC_556 = 473
  integer, parameter :: nGC_555 = 474
  integer, parameter :: nGC_554 = 475
  integer, parameter :: nGC_553 = 476
  integer, parameter :: nGC_552 = 477
  integer, parameter :: nGC_498 = 478
  integer, parameter :: nGC_499 = 479
  integer, parameter :: nGC_984 = 480
  integer, parameter :: nGC_985 = 481
  integer, parameter :: nGC_986 = 482
  integer, parameter :: nGC_987 = 483
  integer, parameter :: nGC_988 = 484
  integer, parameter :: nGC_989 = 485
  integer, parameter :: nGC_158 = 486
  integer, parameter :: nGC_458 = 487
  integer, parameter :: nGC_1140 = 488
  integer, parameter :: nGC_1141 = 489
  integer, parameter :: nGC_1143 = 490
  integer, parameter :: nGC_1144 = 491
  integer, parameter :: nGC_1145 = 492
  integer, parameter :: nGC_1147 = 493
  integer, parameter :: nGC_1148 = 494
  integer, parameter :: nGC_1149 = 495
  integer, parameter :: nGC_748 = 496
  integer, parameter :: nGC_596 = 497
  integer, parameter :: nGC_1169 = 498
  integer, parameter :: nGC_654 = 499
  integer, parameter :: nGC_655 = 500
  integer, parameter :: nGC_656 = 501
  integer, parameter :: nGC_657 = 502
  integer, parameter :: nGC_799 = 503
  integer, parameter :: nGC_651 = 504
  integer, parameter :: nGC_652 = 505
  integer, parameter :: nGC_653 = 506
  integer, parameter :: nGC_795 = 507
  integer, parameter :: nGC_794 = 508
  integer, parameter :: nGC_797 = 509
  integer, parameter :: nGC_791 = 510
  integer, parameter :: nGC_790 = 511
  integer, parameter :: nGC_793 = 512
  integer, parameter :: nGC_792 = 513
  integer, parameter :: nGC_744 = 514
  integer, parameter :: nGC_745 = 515
  integer, parameter :: nGC_973 = 516
  integer, parameter :: nGC_975 = 517
  integer, parameter :: nGC_976 = 518
  integer, parameter :: nGC_979 = 519
  integer, parameter :: nGC_978 = 520
  integer, parameter :: nGC_678 = 521
  integer, parameter :: nGC_679 = 522
  integer, parameter :: nGC_870 = 523
  integer, parameter :: nGC_871 = 524
  integer, parameter :: nGC_872 = 525
  integer, parameter :: nGC_873 = 526
  integer, parameter :: nGC_874 = 527
  integer, parameter :: nGC_875 = 528
  integer, parameter :: nGC_1041 = 529
  integer, parameter :: nGC_1040 = 530
  integer, parameter :: nGC_1043 = 531
  integer, parameter :: nGC_1045 = 532
  integer, parameter :: nGC_1044 = 533
  integer, parameter :: nGC_1047 = 534
  integer, parameter :: nGC_1046 = 535
  integer, parameter :: nGC_1048 = 536
  integer, parameter :: nGC_1162 = 537
  integer, parameter :: nGC_579 = 538
  integer, parameter :: nGC_578 = 539
  integer, parameter :: nGC_190 = 540
  integer, parameter :: nGC_629 = 541
  integer, parameter :: nGC_1210 = 542
  integer, parameter :: nGC_589 = 543
  integer, parameter :: nGC_584 = 544
  integer, parameter :: nGC_585 = 545
  integer, parameter :: nGC_586 = 546
  integer, parameter :: nGC_587 = 547
  integer, parameter :: nGC_580 = 548
  integer, parameter :: nGC_581 = 549
  integer, parameter :: nGC_582 = 550
  integer, parameter :: nGC_583 = 551
  integer, parameter :: nGC_566 = 552
  integer, parameter :: nGC_567 = 553
  integer, parameter :: nGC_564 = 554
  integer, parameter :: nGC_565 = 555
  integer, parameter :: nGC_562 = 556
  integer, parameter :: nGC_563 = 557
  integer, parameter :: nGC_609 = 558
  integer, parameter :: nGC_608 = 559
  integer, parameter :: nGC_607 = 560
  integer, parameter :: nGC_606 = 561
  integer, parameter :: nGC_605 = 562
  integer, parameter :: nGC_604 = 563
  integer, parameter :: nGC_603 = 564
  integer, parameter :: nGC_568 = 565
  integer, parameter :: nGC_569 = 566
  integer, parameter :: nGC_513 = 567
  integer, parameter :: nGC_699 = 568
  integer, parameter :: nGC_511 = 569
  integer, parameter :: nGC_510 = 570
  integer, parameter :: nGC_517 = 571
  integer, parameter :: nGC_516 = 572
  integer, parameter :: nGC_515 = 573
  integer, parameter :: nGC_514 = 574
  integer, parameter :: nGC_690 = 575
  integer, parameter :: nGC_691 = 576
  integer, parameter :: nGC_519 = 577
  integer, parameter :: nGC_693 = 578
  integer, parameter :: nGC_166 = 579
  integer, parameter :: nGC_695 = 580
  integer, parameter :: nGC_696 = 581
  integer, parameter :: nGC_697 = 582
  integer, parameter :: nGC_1130 = 583
  integer, parameter :: nGC_1132 = 584
  integer, parameter :: nGC_1137 = 585
  integer, parameter :: nGC_764 = 586
  integer, parameter :: nGC_765 = 587
  integer, parameter :: nGC_766 = 588
  integer, parameter :: nGC_767 = 589
  integer, parameter :: nGC_760 = 590
  integer, parameter :: nGC_761 = 591
  integer, parameter :: nGC_1151 = 592
  integer, parameter :: nGC_768 = 593
  integer, parameter :: nGC_769 = 594
  integer, parameter :: nGC_838 = 595
  integer, parameter :: nGC_839 = 596
  integer, parameter :: nGC_834 = 597
  integer, parameter :: nGC_835 = 598
  integer, parameter :: nGC_836 = 599
  integer, parameter :: nGC_837 = 600
  integer, parameter :: nGC_830 = 601
  integer, parameter :: nGC_831 = 602
  integer, parameter :: nGC_832 = 603
  integer, parameter :: nGC_833 = 604
  integer, parameter :: nGC_1004 = 605
  integer, parameter :: nGC_1006 = 606
  integer, parameter :: nGC_1001 = 607
  integer, parameter :: nGC_1000 = 608
  integer, parameter :: nGC_1003 = 609
  integer, parameter :: nGC_1002 = 610
  integer, parameter :: nGC_1009 = 611
  integer, parameter :: nGC_1008 = 612
  integer, parameter :: nGC_726 = 613
  integer, parameter :: nGC_905 = 614
  integer, parameter :: nGC_906 = 615
  integer, parameter :: nGC_907 = 616
  integer, parameter :: nGC_469 = 617
  integer, parameter :: nGC_468 = 618
  integer, parameter :: nGC_463 = 619
  integer, parameter :: nGC_462 = 620
  integer, parameter :: nGC_461 = 621
  integer, parameter :: nGC_460 = 622
  integer, parameter :: nGC_467 = 623
  integer, parameter :: nGC_466 = 624
  integer, parameter :: nGC_465 = 625
  integer, parameter :: nGC_464 = 626
  integer, parameter :: nGC_1155 = 627
  integer, parameter :: nGC_484 = 628
  integer, parameter :: nGC_528 = 629
  integer, parameter :: nGC_529 = 630
  integer, parameter :: nGC_480 = 631
  integer, parameter :: nGC_483 = 632
  integer, parameter :: nGC_522 = 633
  integer, parameter :: nGC_523 = 634
  integer, parameter :: nGC_520 = 635
  integer, parameter :: nGC_527 = 636
  integer, parameter :: nGC_524 = 637
  integer, parameter :: nGC_525 = 638
  integer, parameter :: nGC_702 = 639
  integer, parameter :: nGC_703 = 640
  integer, parameter :: nGC_599 = 641
  integer, parameter :: nGC_700 = 642
  integer, parameter :: nGC_998 = 643
  integer, parameter :: nGC_996 = 644
  integer, parameter :: nGC_995 = 645
  integer, parameter :: nGC_1121 = 646
  integer, parameter :: nGC_993 = 647
  integer, parameter :: nGC_991 = 648
  integer, parameter :: nGC_636 = 649
  integer, parameter :: nGC_637 = 650
  integer, parameter :: nGC_634 = 651
  integer, parameter :: nGC_635 = 652
  integer, parameter :: nGC_1179 = 653
  integer, parameter :: nGC_1178 = 654
  integer, parameter :: nGC_630 = 655
  integer, parameter :: nGC_631 = 656
  integer, parameter :: nGC_1175 = 657
  integer, parameter :: nGC_1174 = 658
  integer, parameter :: nGC_1177 = 659
  integer, parameter :: nGC_1176 = 660
  integer, parameter :: nGC_1171 = 661
  integer, parameter :: nGC_1170 = 662
  integer, parameter :: nGC_731 = 663
  integer, parameter :: nGC_639 = 664
  integer, parameter :: nGC_1128 = 665
  integer, parameter :: nGC_1058 = 666
  integer, parameter :: nGC_1082 = 667
  integer, parameter :: nGC_643 = 668
  integer, parameter :: nGC_642 = 669
  integer, parameter :: nGC_641 = 670
  integer, parameter :: nGC_640 = 671
  integer, parameter :: nGC_647 = 672
  integer, parameter :: nGC_646 = 673
  integer, parameter :: nGC_645 = 674
  integer, parameter :: nGC_644 = 675
  integer, parameter :: nGC_649 = 676
  integer, parameter :: nGC_648 = 677
  integer, parameter :: nGC_627 = 678
  integer, parameter :: nGC_632 = 679
  integer, parameter :: nGC_633 = 680
  integer, parameter :: nGC_738 = 681
  integer, parameter :: nGC_737 = 682
  integer, parameter :: nGC_736 = 683
  integer, parameter :: nGC_735 = 684
  integer, parameter :: nGC_867 = 685
  integer, parameter :: nGC_866 = 686
  integer, parameter :: nGC_734 = 687
  integer, parameter :: nGC_948 = 688
  integer, parameter :: nGC_949 = 689
  integer, parameter :: nGC_861 = 690
  integer, parameter :: nGC_860 = 691
  integer, parameter :: nGC_946 = 692
  integer, parameter :: nGC_940 = 693
  integer, parameter :: nGC_941 = 694
  integer, parameter :: nGC_869 = 695
  integer, parameter :: nGC_943 = 696
  integer, parameter :: nGC_638 = 697
  integer, parameter :: nGC_743 = 698
  integer, parameter :: nGC_1172 = 699
  integer, parameter :: nGC_1197 = 700
  integer, parameter :: nGC_1195 = 701
  integer, parameter :: nGC_1192 = 702
  integer, parameter :: nGC_1191 = 703
  integer, parameter :: nGC_1190 = 704
  integer, parameter :: nGC_1056 = 705
  integer, parameter :: nGC_1057 = 706
  integer, parameter :: nGC_1054 = 707
  integer, parameter :: nGC_1055 = 708
  integer, parameter :: nGC_1052 = 709
  integer, parameter :: nGC_1053 = 710
  integer, parameter :: nGC_1050 = 711
  integer, parameter :: nGC_958 = 712
  integer, parameter :: nGC_626 = 713
  integer, parameter :: nGC_453 = 714
  integer, parameter :: nGC_898 = 715
  integer, parameter :: nGC_457 = 716
  integer, parameter :: nGC_455 = 717
  integer, parameter :: nGC_593 = 718
  integer, parameter :: nGC_592 = 719
  integer, parameter :: nGC_591 = 720
  integer, parameter :: nGC_459 = 721
  integer, parameter :: nGC_896 = 722
  integer, parameter :: nGC_897 = 723
  integer, parameter :: nGC_595 = 724
  integer, parameter :: nGC_594 = 725
  integer, parameter :: nGC_590 = 726
  integer, parameter :: nGC_575 = 727
  integer, parameter :: nGC_574 = 728
  integer, parameter :: nGC_577 = 729
  integer, parameter :: nGC_576 = 730
  integer, parameter :: nGC_571 = 731
  integer, parameter :: nGC_570 = 732
  integer, parameter :: nGC_573 = 733
  integer, parameter :: nGC_572 = 734
  integer, parameter :: nGC_672 = 735
  integer, parameter :: nGC_671 = 736
  integer, parameter :: nGC_676 = 737
  integer, parameter :: nGC_677 = 738
  integer, parameter :: nGC_674 = 739
  integer, parameter :: nGC_675 = 740
  integer, parameter :: nGC_601 = 741
  integer, parameter :: nGC_600 = 742
  integer, parameter :: nGC_687 = 743
  integer, parameter :: nGC_686 = 744
  integer, parameter :: nGC_685 = 745
  integer, parameter :: nGC_684 = 746
  integer, parameter :: nGC_681 = 747
  integer, parameter :: nGC_680 = 748
  integer, parameter :: nGC_689 = 749
  integer, parameter :: nGC_688 = 750
  integer, parameter :: nGC_706 = 751
  integer, parameter :: nGC_707 = 752
  integer, parameter :: nGC_704 = 753
  integer, parameter :: nGC_705 = 754
  integer, parameter :: nGC_1122 = 755
  integer, parameter :: nGC_1123 = 756
  integer, parameter :: nGC_1120 = 757
  integer, parameter :: nGC_701 = 758
  integer, parameter :: nGC_1085 = 759
  integer, parameter :: nGC_1087 = 760
  integer, parameter :: nGC_1086 = 761
  integer, parameter :: nGC_1081 = 762
  integer, parameter :: nGC_1080 = 763
  integer, parameter :: nGC_1083 = 764
  integer, parameter :: nGC_1129 = 765
  integer, parameter :: nGC_1089 = 766
  integer, parameter :: nGC_1126 = 767
  integer, parameter :: nGC_558 = 768
  integer, parameter :: nGC_773 = 769
  integer, parameter :: nGC_772 = 770
  integer, parameter :: nGC_771 = 771
  integer, parameter :: nGC_777 = 772
  integer, parameter :: nGC_775 = 773
  integer, parameter :: nGC_779 = 774
  integer, parameter :: nGC_1088 = 775
  integer, parameter :: nGC_560 = 776
  integer, parameter :: nGC_1186 = 777
  integer, parameter :: nGC_720 = 778
  integer, parameter :: nGC_1012 = 779
  integer, parameter :: nGC_1013 = 780
  integer, parameter :: nGC_1010 = 781
  integer, parameter :: nGC_1011 = 782
  integer, parameter :: nGC_1016 = 783
  integer, parameter :: nGC_1017 = 784
  integer, parameter :: nGC_1018 = 785
  integer, parameter :: nGC_1019 = 786
  integer, parameter :: nGC_1124 = 787
  integer, parameter :: nGC_561 = 788
  integer, parameter :: nGC_917 = 789
  integer, parameter :: nGC_915 = 790
  integer, parameter :: nGC_913 = 791
  integer, parameter :: nGC_912 = 792
  integer, parameter :: nGC_911 = 793
  integer, parameter :: nGC_910 = 794
  integer, parameter :: nGC_1188 = 795
  integer, parameter :: nGC_722 = 796
  integer, parameter :: nGC_919 = 797
  integer, parameter :: nGC_1189 = 798
  integer, parameter :: nGC_858 = 799
  integer, parameter :: nGC_859 = 800
  integer, parameter :: nGC_856 = 801
  integer, parameter :: nGC_857 = 802
  integer, parameter :: nGC_854 = 803
  integer, parameter :: nGC_855 = 804
  integer, parameter :: nGC_853 = 805
  integer, parameter :: nGC_850 = 806
  integer, parameter :: nGC_698 = 807
  integer, parameter :: nGC_1064 = 808
  integer, parameter :: nGC_1063 = 809
  integer, parameter :: nGC_1062 = 810
  integer, parameter :: nGC_1061 = 811
  integer, parameter :: nGC_1060 = 812
  integer, parameter :: nGC_1069 = 813
  integer, parameter :: nGC_1068 = 814
  integer, parameter :: nGC_539 = 815
  integer, parameter :: nGC_538 = 816
  integer, parameter :: nGC_531 = 817
  integer, parameter :: nGC_530 = 818
  integer, parameter :: nGC_533 = 819
  integer, parameter :: nGC_532 = 820
  integer, parameter :: nGC_535 = 821
  integer, parameter :: nGC_534 = 822
  integer, parameter :: nGC_537 = 823
  integer, parameter :: nGC_1091 = 824
  integer, parameter :: nGC_692 = 825
  integer, parameter :: nGC_518 = 826
  integer, parameter :: nGC_694 = 827
  integer, parameter :: nGC_624 = 828
  integer, parameter :: nGC_1168 = 829
  integer, parameter :: nGC_749 = 830
  integer, parameter :: nGC_621 = 831
  integer, parameter :: nGC_620 = 832
  integer, parameter :: nGC_623 = 833
  integer, parameter :: nGC_742 = 834
  integer, parameter :: nGC_1163 = 835
  integer, parameter :: nGC_1160 = 836
  integer, parameter :: nGC_1161 = 837
  integer, parameter :: nGC_746 = 838
  integer, parameter :: nGC_628 = 839
  integer, parameter :: nGC_1164 = 840
  integer, parameter :: nGC_1165 = 841
  integer, parameter :: nGC_727 = 842
  integer, parameter :: nGC_758 = 843
  integer, parameter :: nGC_588 = 844
  integer, parameter :: nGC_1119 = 845
  integer, parameter :: nGC_1118 = 846
  integer, parameter :: nGC_1117 = 847
  integer, parameter :: nGC_1115 = 848
  integer, parameter :: nGC_1113 = 849
  integer, parameter :: nGC_1112 = 850
  integer, parameter :: nGC_1111 = 851
  integer, parameter :: nGC_812 = 852
  integer, parameter :: nGC_813 = 853
  integer, parameter :: nGC_810 = 854
  integer, parameter :: nGC_811 = 855
  integer, parameter :: nGC_721 = 856
  integer, parameter :: nGC_952 = 857
  integer, parameter :: nGC_951 = 858
  integer, parameter :: nGC_950 = 859
  integer, parameter :: nGC_957 = 860
  integer, parameter :: nGC_956 = 861
  integer, parameter :: nGC_955 = 862
  integer, parameter :: nGC_723 = 863
  integer, parameter :: nGC_724 = 864
  integer, parameter :: nGC_725 = 865
  integer, parameter :: nGC_1184 = 866
  integer, parameter :: nGC_1185 = 867
  integer, parameter :: nGC_1029 = 868
  integer, parameter :: nGC_1028 = 869
  integer, parameter :: nGC_1180 = 870
  integer, parameter :: nGC_1181 = 871
  integer, parameter :: nGC_1182 = 872
  integer, parameter :: nGC_1183 = 873
  integer, parameter :: nGC_1023 = 874
  integer, parameter :: nGC_1022 = 875
  integer, parameter :: nGC_1021 = 876
  integer, parameter :: nGC_1020 = 877
  integer, parameter :: nGC_1027 = 878
  integer, parameter :: nGC_1026 = 879
  integer, parameter :: nGC_728 = 880
  integer, parameter :: nGC_729 = 881
  integer, parameter :: nGC_759 = 882
  integer, parameter :: nGC_928 = 883
  integer, parameter :: nGC_929 = 884
  integer, parameter :: nGC_926 = 885
  integer, parameter :: nGC_927 = 886
  integer, parameter :: nGC_924 = 887
  integer, parameter :: nGC_922 = 888
  integer, parameter :: nGC_921 = 889
  integer, parameter :: nGC_551 = 890
  integer, parameter :: nGC_541 = 891
  integer, parameter :: nGC_543 = 892
  integer, parameter :: nGC_544 = 893
  integer, parameter :: nGC_545 = 894
  integer, parameter :: nGC_547 = 895
  integer, parameter :: nGC_661 = 896
  integer, parameter :: nGC_660 = 897
  integer, parameter :: nGC_663 = 898
  integer, parameter :: nGC_662 = 899
  integer, parameter :: nGC_665 = 900
  integer, parameter :: nGC_664 = 901
  integer, parameter :: nGC_550 = 902
  integer, parameter :: nGC_666 = 903
  integer, parameter :: nGC_719 = 904
  integer, parameter :: nGC_751 = 905
  integer, parameter :: nGC_750 = 906
  integer, parameter :: nGC_1153 = 907
  integer, parameter :: nGC_1152 = 908
  integer, parameter :: nGC_1098 = 909
  integer, parameter :: nGC_1099 = 910
  integer, parameter :: nGC_1157 = 911
  integer, parameter :: nGC_1156 = 912
  integer, parameter :: nGC_713 = 913
  integer, parameter :: nGC_712 = 914
  integer, parameter :: nGC_1092 = 915
  integer, parameter :: nGC_1093 = 916
  integer, parameter :: nGC_1090 = 917
  integer, parameter :: nGC_1158 = 918
  integer, parameter :: nGC_1096 = 919
  integer, parameter :: nGC_1097 = 920
  integer, parameter :: nGC_1094 = 921
  integer, parameter :: nGC_1095 = 922
  integer, parameter :: nGC_868 = 923
  integer, parameter :: nGC_1173 = 924
  integer, parameter :: nGC_718 = 925
  integer, parameter :: nGC_548 = 926
  integer, parameter :: nGC_962 = 927
  integer, parameter :: nGC_960 = 928
  integer, parameter :: nGC_967 = 929
  integer, parameter :: nGC_964 = 930
  integer, parameter :: nGC_969 = 931
  integer, parameter :: nGC_667 = 932
  integer, parameter :: nGC_843 = 933
  integer, parameter :: nGC_842 = 934
  integer, parameter :: nGC_1074 = 935
  integer, parameter :: nGC_1076 = 936
  integer, parameter :: nGC_1077 = 937
  integer, parameter :: nGC_1071 = 938
  integer, parameter :: nGC_1072 = 939
  integer, parameter :: nGC_1059 = 940
  integer, parameter :: nGC_1078 = 941
  integer, parameter :: nGC_1079 = 942
  integer, parameter :: nGC_659 = 943
  integer, parameter :: nGC_1154 = 944
  integer, parameter :: nGC_1199 = 945
  integer, parameter :: nGC_716 = 946
  integer, parameter :: nGC_1205 = 947
  integer, parameter :: nGC_1204 = 948
  integer, parameter :: nGC_1203 = 949
  integer, parameter :: nGC_1202 = 950
  integer, parameter :: nGC_1201 = 951
  integer, parameter :: nGC_1200 = 952
  integer, parameter :: nGC_1209 = 953
  integer, parameter :: nGC_1208 = 954
  integer, parameter :: nGC_730 = 955
  integer, parameter :: nGC_711 = 956
  integer, parameter :: nGC_610 = 957
  integer, parameter :: nGC_611 = 958
  integer, parameter :: nGC_597 = 959
  integer, parameter :: nGC_618 = 960
  integer, parameter :: nGC_619 = 961
  integer, parameter :: nGC_752 = 962
  integer, parameter :: nGC_755 = 963
  integer, parameter :: nGC_754 = 964
  integer, parameter :: nGC_710 = 965
  integer, parameter :: nGC_504 = 966
  integer, parameter :: nGC_506 = 967
  integer, parameter :: nGC_507 = 968
  integer, parameter :: nGC_500 = 969
  integer, parameter :: nGC_503 = 970
  integer, parameter :: nGC_508 = 971
  integer, parameter :: nGC_509 = 972
  integer, parameter :: nGC_971 = 973
  integer, parameter :: nGC_970 = 974
  integer, parameter :: nGC_1142 = 975
  integer, parameter :: nGC_972 = 976
  integer, parameter :: nGC_974 = 977
  integer, parameter :: nGC_1146 = 978
  integer, parameter :: nGC_953 = 979
  integer, parameter :: nGC_1166 = 980
  integer, parameter :: nGC_1167 = 981
  integer, parameter :: nGC_954 = 982
  integer, parameter :: nGC_1104 = 983
  integer, parameter :: nGC_1108 = 984
  integer, parameter :: nGC_935 = 985
  integer, parameter :: nGC_937 = 986
  integer, parameter :: nGC_936 = 987
  integer, parameter :: nGC_1100 = 988
  integer, parameter :: nGC_933 = 989
  integer, parameter :: nGC_932 = 990
  integer, parameter :: nGC_1207 = 991
  integer, parameter :: nGC_1206 = 992
  integer, parameter :: nGC_1187 = 993
  integer, parameter :: nGC_977 = 994
  integer, parameter :: nGC_1049 = 995
  integer, parameter :: nGC_475 = 996
  integer, parameter :: nGC_470 = 997
  integer, parameter :: nGC_471 = 998
  integer, parameter :: nGC_472 = 999
  integer, parameter :: nGC_959 = 1000
  integer, parameter :: nGC_1102 = 1001
  integer, parameter :: nGC_1110 = 1002
  integer, parameter :: nGC_715 = 1003
  integer, parameter :: nGC_714 = 1004
  integer, parameter :: nGC_1196 = 1005
  integer, parameter :: nGC_945 = 1006
  integer, parameter :: nGC_947 = 1007
  integer, parameter :: nGC_747 = 1008
  integer, parameter :: nGC_1139 = 1009
  integer, parameter :: nGC_1138 = 1010
  integer, parameter :: nGC_1042 = 1011
  integer, parameter :: nGC_1014 = 1012
  integer, parameter :: nGC_1015 = 1013
  integer, parameter :: nGC_1116 = 1014
  integer, parameter :: nGC_1114 = 1015
  integer, parameter :: nGC_1135 = 1016
  integer, parameter :: nGC_1134 = 1017
  integer, parameter :: nGC_1136 = 1018
  integer, parameter :: nGC_980 = 1019
  integer, parameter :: nGC_981 = 1020
  integer, parameter :: nGC_982 = 1021
  integer, parameter :: nGC_983 = 1022
  integer, parameter :: nGC_1193 = 1023
  integer, parameter :: nGC_909 = 1024
  integer, parameter :: nGC_1034 = 1025
  integer, parameter :: nGC_1036 = 1026
  integer, parameter :: nGC_1037 = 1027
  integer, parameter :: nGC_1051 = 1028
  integer, parameter :: nGC_908 = 1029
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
