!******************************************************************************!
!                                                                              !
!    ctparameter125.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter125.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter125
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter125()
  dr_QED2 = (4d0*Nc*Ten115*cMU**2d0*coupl(nGC_2)*(-cMW**2d0*coupl(nGC_35) - cMW&
            **2d0*coupl(nGC_39) + cMZ**2d0*coupl(nGC_35) + cMZ**2d0*coupl(     &
            nGC_39))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten116*  &
            cMC**2d0*coupl(nGC_2)*(-cMW**2d0*coupl(nGC_35) - cMW**2d0*coupl(   &
            nGC_39) + cMZ**2d0*coupl(nGC_35) + cMZ**2d0*coupl(nGC_39))/(cMZ**  &
            2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten117*cMT**2d0*coupl(  &
            nGC_2)*(-cMW**2d0*coupl(nGC_35) - cMW**2d0*coupl(nGC_39) + cMZ**2d0&
            *coupl(nGC_35) + cMZ**2d0*coupl(nGC_39))/(cMZ**2d0*cw*sw*(-cMW**2d0&
             + cMZ**2d0)) + 4d0*Nc*Ten118*cMD**2d0*coupl(nGC_1)*(-cMW**2d0*    &
            coupl(nGC_34) - cMW**2d0*coupl(nGC_38) + cMZ**2d0*coupl(nGC_34) +  &
            cMZ**2d0*coupl(nGC_38))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) +  &
            4d0*Nc*Ten119*cMS**2d0*coupl(nGC_1)*(-cMW**2d0*coupl(nGC_34) - cMW &
            **2d0*coupl(nGC_38) + cMZ**2d0*coupl(nGC_34) + cMZ**2d0*coupl(     &
            nGC_38))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten120*  &
            cMB**2d0*coupl(nGC_1)*(-cMW**2d0*coupl(nGC_34) - cMW**2d0*coupl(   &
            nGC_38) + cMZ**2d0*coupl(nGC_34) + cMZ**2d0*coupl(nGC_38))/(cMZ**  &
            2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc*Ten121*coupl(nGC_2)*(cMW&
            **2d0*coupl(nGC_35) + cMW**2d0*coupl(nGC_39) - cMZ**2d0*coupl(     &
            nGC_35) - cMZ**2d0*coupl(nGC_39))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ &
            **2d0)) + 8d0*Nc*Ten122*coupl(nGC_2)*(cMW**2d0*coupl(nGC_35) + cMW &
            **2d0*coupl(nGC_39) - cMZ**2d0*coupl(nGC_35) - cMZ**2d0*coupl(     &
            nGC_39))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc*Ten123*  &
            coupl(nGC_2)*(cMW**2d0*coupl(nGC_35) + cMW**2d0*coupl(nGC_39) - cMZ&
            **2d0*coupl(nGC_35) - cMZ**2d0*coupl(nGC_39))/(cMZ**2d0*cw*sw*(-cMW&
            **2d0 + cMZ**2d0)) + 8d0*Nc*Ten124*coupl(nGC_1)*(cMW**2d0*coupl(   &
            nGC_34) + cMW**2d0*coupl(nGC_38) - cMZ**2d0*coupl(nGC_34) - cMZ**  &
            2d0*coupl(nGC_38))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc&
            *Ten125*coupl(nGC_1)*(cMW**2d0*coupl(nGC_34) + cMW**2d0*coupl(     &
            nGC_38) - cMZ**2d0*coupl(nGC_34) - cMZ**2d0*coupl(nGC_38))/(cMZ**  &
            2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc*Ten126*coupl(nGC_1)*(cMW&
            **2d0*coupl(nGC_34) + cMW**2d0*coupl(nGC_38) - cMZ**2d0*coupl(     &
            nGC_34) - cMZ**2d0*coupl(nGC_38))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ &
            **2d0)) + 4d0*Nc*Ten499*coupl(nGC_23)**2d0*(cMW**2d0 - cMZ**2d0)/( &
            cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten500*coupl(nGC_23)**2d0&
            *(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc* &
            Ten501*coupl(nGC_23)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**  &
            2d0 + cMZ**2d0)) + cima*Ten0*coupl(nGC_17)/(2d0*cMW**2d0) + cima*  &
            Ten1*(-cMW**2d0*coupl(nGC_17) - 6d0*cMW**2d0*coupl(nGC_19) + cMZ** &
            2d0*coupl(nGC_17) + 6d0*cMZ**2d0*coupl(nGC_19))/(2d0*cMW**2d0*(-cMW&
            **2d0 + cMZ**2d0)) + cima*Ten2*(6d0*cMW**4d0*coupl(nGC_29) - 2d0*  &
            cMW**4d0*coupl(nGC_42) - cMW**2d0*cMZ**2d0*coupl(nGC_17)*cw*sw +   &
            3d0*cMW**2d0*cMZ**2d0*coupl(nGC_18)*cw*sw - 6d0*cMW**2d0*cMZ**2d0* &
            coupl(nGC_29) + 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_42) + cMZ**4d0*    &
            coupl(nGC_17)*cw*sw - 3d0*cMZ**4d0*coupl(nGC_18)*cw*sw)/(cMW**2d0* &
            cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten364*coupl(nGC_47)* &
            coupl(nGC_51)/(cMZ**2d0*cw*sw) + 2d0*Ten367*(-cMW**2d0*coupl(nGC_24&
            )*coupl(nGC_4) + 17d0*cMW**2d0*coupl(nGC_25)*coupl(nGC_3) + 4d0*cMW&
            **2d0*coupl(nGC_4)*coupl(nGC_40) + cMZ**2d0*coupl(nGC_24)*coupl(   &
            nGC_4) - 17d0*cMZ**2d0*coupl(nGC_25)*coupl(nGC_3) - 4d0*cMZ**2d0*  &
            coupl(nGC_4)*coupl(nGC_40))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0  &
            )) + 4d0*Ten374*cME**2d0*coupl(nGC_4)*(-cMW**2d0*coupl(nGC_36) -   &
            cMW**2d0*coupl(nGC_40) + cMZ**2d0*coupl(nGC_36) + cMZ**2d0*coupl(  &
            nGC_40))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten375*cMM**&
            2d0*coupl(nGC_4)*(-cMW**2d0*coupl(nGC_36) - cMW**2d0*coupl(nGC_40  &
            ) + cMZ**2d0*coupl(nGC_36) + cMZ**2d0*coupl(nGC_40))/(cMZ**2d0*cw* &
            sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten376*cMTA**2d0*coupl(nGC_4)*(-  &
            cMW**2d0*coupl(nGC_36) - cMW**2d0*coupl(nGC_40) + cMZ**2d0*coupl(  &
            nGC_36) + cMZ**2d0*coupl(nGC_40))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ &
            **2d0)) + 8d0*Ten377*coupl(nGC_4)*(cMW**2d0*coupl(nGC_36) + cMW**  &
            2d0*coupl(nGC_40) - cMZ**2d0*coupl(nGC_36) - cMZ**2d0*coupl(nGC_40 &
            ))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Ten378*coupl(nGC_4&
            )*(cMW**2d0*coupl(nGC_36) + cMW**2d0*coupl(nGC_40) - cMZ**2d0*coupl&
            (nGC_36) - cMZ**2d0*coupl(nGC_40))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ&
            **2d0)) + 8d0*Ten379*coupl(nGC_4)*(cMW**2d0*coupl(nGC_36) + cMW**  &
            2d0*coupl(nGC_40) - cMZ**2d0*coupl(nGC_36) - cMZ**2d0*coupl(nGC_40 &
            ))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + Ten493*(17d0*cMW**2d0*&
            coupl(nGC_3)**2d0 - cMW**2d0*coupl(nGC_4)**2d0 - 17d0*cMZ**2d0*    &
            coupl(nGC_3)**2d0 + cMZ**2d0*coupl(nGC_4)**2d0)/(cMW**2d0*(-cMW**  &
            2d0 + cMZ**2d0)) + 4d0*Ten494*coupl(nGC_20)*coupl(nGC_21)/cMW**2d0 &
             + 4d0*Ten495*coupl(nGC_23)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-&
            cMW**2d0 + cMZ**2d0)) + 4d0*Ten496*coupl(nGC_23)**2d0*(cMW**2d0 -  &
            cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten497*coupl(    &
            nGC_23)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0 &
            )) + Ten498*(-4d0*cMW**2d0*coupl(nGC_22)**2d0 - cMW**2d0*coupl(    &
            nGC_24)**2d0 + 17d0*cMW**2d0*coupl(nGC_25)**2d0 + 4d0*cMZ**2d0*    &
            coupl(nGC_22)**2d0 + cMZ**2d0*coupl(nGC_24)**2d0 - 17d0*cMZ**2d0*  &
            coupl(nGC_25)**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + Ten502*    &
            coupl(nGC_50)**2d0/cMW**2d0 + Ten503*coupl(nGC_51)**2d0/cMW**2d0 + &
            Ten504*coupl(nGC_47)**2d0/cMW**2d0 + (-8d0*Nc*cMB**2d0*cMW**4d0*   &
            coupl(nGC_1)*coupl(nGC_34)*sw - 8d0*Nc*cMB**2d0*cMW**4d0*coupl(    &
            nGC_1)*coupl(nGC_38)*sw + 8d0*Nc*cMB**2d0*cMW**2d0*cMZ**2d0*coupl( &
            nGC_1)*coupl(nGC_34)*sw + 8d0*Nc*cMB**2d0*cMW**2d0*cMZ**2d0*coupl( &
            nGC_1)*coupl(nGC_38)*sw - 2d0*Nc*cMB**2d0*cMW**2d0*cMZ**2d0*coupl( &
            nGC_23)**2d0*cw*sw**2d0 + 2d0*Nc*cMB**2d0*cMZ**4d0*coupl(nGC_23)** &
            2d0*cw*sw**2d0 - 8d0*Nc*cMC**2d0*cMW**4d0*coupl(nGC_2)*coupl(nGC_35&
            )*sw - 8d0*Nc*cMC**2d0*cMW**4d0*coupl(nGC_2)*coupl(nGC_39)*sw + 8d0&
            *Nc*cMC**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_2)*coupl(nGC_35)*sw + 8d0*&
            Nc*cMC**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_2)*coupl(nGC_39)*sw - 2d0* &
            Nc*cMC**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)**2d0*cw*sw**2d0 + 2d0* &
            Nc*cMC**2d0*cMZ**4d0*coupl(nGC_23)**2d0*cw*sw**2d0 - 8d0*Nc*cMD**  &
            2d0*cMW**4d0*coupl(nGC_1)*coupl(nGC_34)*sw - 8d0*Nc*cMD**2d0*cMW** &
            4d0*coupl(nGC_1)*coupl(nGC_38)*sw + 8d0*Nc*cMD**2d0*cMW**2d0*cMZ** &
            2d0*coupl(nGC_1)*coupl(nGC_34)*sw + 8d0*Nc*cMD**2d0*cMW**2d0*cMZ** &
            2d0*coupl(nGC_1)*coupl(nGC_38)*sw - 2d0*Nc*cMD**2d0*cMW**2d0*cMZ** &
            2d0*coupl(nGC_23)**2d0*cw*sw**2d0 + 2d0*Nc*cMD**2d0*cMZ**4d0*coupl(&
            nGC_23)**2d0*cw*sw**2d0 - 8d0*Nc*cMS**2d0*cMW**4d0*coupl(nGC_1)*   &
            coupl(nGC_34)*sw - 8d0*Nc*cMS**2d0*cMW**4d0*coupl(nGC_1)*coupl(    &
            nGC_38)*sw + 8d0*Nc*cMS**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_1)*coupl( &
            nGC_34)*sw + 8d0*Nc*cMS**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_1)*coupl( &
            nGC_38)*sw - 2d0*Nc*cMS**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)**2d0* &
            cw*sw**2d0 + 2d0*Nc*cMS**2d0*cMZ**4d0*coupl(nGC_23)**2d0*cw*sw**2d0&
             - 8d0*Nc*cMT**2d0*cMW**4d0*coupl(nGC_2)*coupl(nGC_35)*sw - 8d0*Nc*&
            cMT**2d0*cMW**4d0*coupl(nGC_2)*coupl(nGC_39)*sw + 8d0*Nc*cMT**2d0* &
            cMW**2d0*cMZ**2d0*coupl(nGC_2)*coupl(nGC_35)*sw + 8d0*Nc*cMT**2d0* &
            cMW**2d0*cMZ**2d0*coupl(nGC_2)*coupl(nGC_39)*sw - 2d0*Nc*cMT**2d0* &
            cMW**2d0*cMZ**2d0*coupl(nGC_23)**2d0*cw*sw**2d0 + 2d0*Nc*cMT**2d0* &
            cMZ**4d0*coupl(nGC_23)**2d0*cw*sw**2d0 - 8d0*Nc*cMU**2d0*cMW**4d0* &
            coupl(nGC_2)*coupl(nGC_35)*sw - 8d0*Nc*cMU**2d0*cMW**4d0*coupl(    &
            nGC_2)*coupl(nGC_39)*sw + 8d0*Nc*cMU**2d0*cMW**2d0*cMZ**2d0*coupl( &
            nGC_2)*coupl(nGC_35)*sw + 8d0*Nc*cMU**2d0*cMW**2d0*cMZ**2d0*coupl( &
            nGC_2)*coupl(nGC_39)*sw - 2d0*Nc*cMU**2d0*cMW**2d0*cMZ**2d0*coupl( &
            nGC_23)**2d0*cw*sw**2d0 + 2d0*Nc*cMU**2d0*cMZ**4d0*coupl(nGC_23)** &
            2d0*cw*sw**2d0 - 8d0*cME**2d0*cMW**4d0*coupl(nGC_36)*coupl(nGC_4)* &
            sw - 8d0*cME**2d0*cMW**4d0*coupl(nGC_4)*coupl(nGC_40)*sw - 2d0*cME &
            **2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)**2d0*cw*sw**2d0 + 8d0*cME**  &
            2d0*cMW**2d0*cMZ**2d0*coupl(nGC_36)*coupl(nGC_4)*sw + 8d0*cME**2d0*&
            cMW**2d0*cMZ**2d0*coupl(nGC_4)*coupl(nGC_40)*sw + 2d0*cME**2d0*cMZ &
            **4d0*coupl(nGC_23)**2d0*cw*sw**2d0 - 8d0*cMM**2d0*cMW**4d0*coupl( &
            nGC_36)*coupl(nGC_4)*sw - 8d0*cMM**2d0*cMW**4d0*coupl(nGC_4)*coupl(&
            nGC_40)*sw - 2d0*cMM**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)**2d0*cw* &
            sw**2d0 + 8d0*cMM**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_36)*coupl(nGC_4 &
            )*sw + 8d0*cMM**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_4)*coupl(nGC_40)*sw&
             + 2d0*cMM**2d0*cMZ**4d0*coupl(nGC_23)**2d0*cw*sw**2d0 - 8d0*cMTA**&
            2d0*cMW**4d0*coupl(nGC_36)*coupl(nGC_4)*sw - 8d0*cMTA**2d0*cMW**4d0&
            *coupl(nGC_4)*coupl(nGC_40)*sw - 2d0*cMTA**2d0*cMW**2d0*cMZ**2d0*  &
            coupl(nGC_23)**2d0*cw*sw**2d0 + 8d0*cMTA**2d0*cMW**2d0*cMZ**2d0*   &
            coupl(nGC_36)*coupl(nGC_4)*sw + 8d0*cMTA**2d0*cMW**2d0*cMZ**2d0*   &
            coupl(nGC_4)*coupl(nGC_40)*sw + 2d0*cMTA**2d0*cMZ**4d0*coupl(nGC_23&
            )**2d0*cw*sw**2d0 - 24d0*cMW**6d0*coupl(nGC_25)*coupl(nGC_3)*sw -  &
            8d0*cima*cMW**6d0*coupl(nGC_29)*sw - 4d0*cima*cMW**4d0*cMZ**2d0*   &
            coupl(nGC_18)*cw*sw**2d0 - 6d0*cMW**4d0*cMZ**2d0*coupl(nGC_25)**2d0&
            *cw*sw**2d0 + 24d0*cMW**4d0*cMZ**2d0*coupl(nGC_25)*coupl(nGC_3)*sw &
             + 8d0*cima*cMW**4d0*cMZ**2d0*coupl(nGC_29)*sw - 6d0*cMW**4d0*cMZ**&
            2d0*coupl(nGC_3)**2d0*cw*sw**2d0 - 4d0*cMW**4d0*cMZ**2d0*cw*gw**2d0&
            *sw**2d0*log(cw**2d0) + 12d0*cMW**4d0*cMZ**2d0*cw*gw**2d0*sw**2d0  &
             + 7d0*cMW**4d0*cMZ**2d0*cw*gw**2d0*log(cw**2d0) + 4d0*cima*cMW**  &
            2d0*cMZ**4d0*coupl(nGC_18)*cw*sw**2d0 + 4d0*cima*cMW**2d0*cMZ**4d0*&
            coupl(nGC_19)*cw*sw**2d0 + 6d0*cMW**2d0*cMZ**4d0*coupl(nGC_3)**2d0*&
            cw*sw**2d0 + 4d0*cMW**2d0*cMZ**4d0*cw*gw**2d0*sw**2d0*log(cw**2d0  &
            ) - 12d0*cMW**2d0*cMZ**4d0*cw*gw**2d0*sw**2d0 - 7d0*cMW**2d0*cMZ** &
            4d0*cw*gw**2d0*log(cw**2d0) - 4d0*cima*cMZ**6d0*coupl(nGC_19)*cw*sw&
            **2d0 + 6d0*cMZ**6d0*coupl(nGC_25)**2d0*cw*sw**2d0)/(2d0*cMW**2d0* &
            cMZ**2d0*cw*sw**2d0*(-cMW**2d0 + cMZ**2d0)))/(16d0*pi**2d0) + (cMW &
            **2d0*dMZ2_QED2*ee/cMZ**2d0 + 2d0*dZeeZM_QED2*ee*(cMW**2d0 - cMZ** &
            2d0) + dMW2_QED2*(-cMW**2d0*ee - cMW**2d0*gw*sqrt((-cMW**2d0 + cMZ &
            **2d0)/cMZ**2d0) + cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0&
            ))/cMW**2d0)/(gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0  &
             + cMZ**2d0))
    if (.not. complex_mass_scheme) then
      dr_QED2 = cone*real(dr_QED2,kind=dp)
    end if 
end subroutine set_ctparameter125
end module ctparameter125
