!******************************************************************************!
!                                                                              !
!    ctparameter3.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter3.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter3
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter3()
  dMT_QCD2 = (coupl(nGC_11)**2d0*(Ten268*cMT*(Nc**2d0 - 1d0) + Ten272*cMT*(-Nc &
             **2d0 + 1d0) + 2d0*Ten277*rMT*(2d0*Nc**2d0*cMT**2d0 - 3d0*Nc**2d0*&
             cMT*rMT + Nc**2d0*rMT**2d0 - 2d0*cMT**2d0 + 3d0*cMT*rMT - rMT**2d0&
             ) + 2d0*Ten281*rMT**2d0*(-Nc**2d0*cMT + Nc**2d0*rMT + cMT - rMT))/&
             Nc + (-8d0*pi*Nc**2d0*aS*cMT**2d0 + 8d0*pi*Nc**2d0*aS*rMT**2d0 -  &
             Nc**2d0*cMT*coupl(nGC_11)**2d0*rMT + 8d0*pi*aS*cMT**2d0 - 8d0*pi* &
             aS*rMT**2d0 + cMT*coupl(nGC_11)**2d0*rMT)/(2d0*Nc*rMT))/(16d0*pi**&
             2d0)
    if (.not. complex_mass_scheme) then
      dMT_QCD2 = cone*real(dMT_QCD2,kind=dp)
    end if 
end subroutine set_ctparameter3
end module ctparameter3
