!******************************************************************************!
!                                                                              !
!    ctparameter52.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter52.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter52
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter52()
  dZAZ_QED2 = (4d0*Nc*Ten115*cMU**2d0*coupl(nGC_2)*(-cMZ**2d0*coupl(nGC_35) -  &
              cMZ**2d0*coupl(nGC_39) + coupl(nGC_35)*rMZ**2d0 + coupl(nGC_39)* &
              rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten116*cMC**2d0*coupl(    &
              nGC_2)*(-cMZ**2d0*coupl(nGC_35) - cMZ**2d0*coupl(nGC_39) + coupl(&
              nGC_35)*rMZ**2d0 + coupl(nGC_39)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + &
              4d0*Nc*Ten117*cMT**2d0*coupl(nGC_2)*(-cMZ**2d0*coupl(nGC_35) -   &
              cMZ**2d0*coupl(nGC_39) + coupl(nGC_35)*rMZ**2d0 + coupl(nGC_39)* &
              rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten118*cMD**2d0*coupl(    &
              nGC_1)*(-cMZ**2d0*coupl(nGC_34) - cMZ**2d0*coupl(nGC_38) + coupl(&
              nGC_34)*rMZ**2d0 + coupl(nGC_38)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + &
              4d0*Nc*Ten119*cMS**2d0*coupl(nGC_1)*(-cMZ**2d0*coupl(nGC_34) -   &
              cMZ**2d0*coupl(nGC_38) + coupl(nGC_34)*rMZ**2d0 + coupl(nGC_38)* &
              rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten120*cMB**2d0*coupl(    &
              nGC_1)*(-cMZ**2d0*coupl(nGC_34) - cMZ**2d0*coupl(nGC_38) + coupl(&
              nGC_34)*rMZ**2d0 + coupl(nGC_38)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + &
              8d0*Nc*Ten121*coupl(nGC_2)*(cMZ**2d0*coupl(nGC_35) + cMZ**2d0*   &
              coupl(nGC_39) - coupl(nGC_35)*rMZ**2d0 - coupl(nGC_39)*rMZ**2d0  &
              )/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten122*coupl(nGC_2)*(cMZ**2d0*    &
              coupl(nGC_35) + cMZ**2d0*coupl(nGC_39) - coupl(nGC_35)*rMZ**2d0  &
               - coupl(nGC_39)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten123*  &
              coupl(nGC_2)*(cMZ**2d0*coupl(nGC_35) + cMZ**2d0*coupl(nGC_39) -  &
              coupl(nGC_35)*rMZ**2d0 - coupl(nGC_39)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 8d0*Nc*Ten124*coupl(nGC_1)*(cMZ**2d0*coupl(nGC_34) + cMZ**&
              2d0*coupl(nGC_38) - coupl(nGC_34)*rMZ**2d0 - coupl(nGC_38)*rMZ** &
              2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten125*coupl(nGC_1)*(cMZ**2d0* &
              coupl(nGC_34) + cMZ**2d0*coupl(nGC_38) - coupl(nGC_34)*rMZ**2d0  &
               - coupl(nGC_38)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten126*  &
              coupl(nGC_1)*(cMZ**2d0*coupl(nGC_34) + cMZ**2d0*coupl(nGC_38) -  &
              coupl(nGC_34)*rMZ**2d0 - coupl(nGC_38)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 4d0*Nc*Ten396*cMU**2d0*coupl(nGC_2)*(coupl(nGC_35) + coupl&
              (nGC_39))/rMZ**2d0 + 4d0*Nc*Ten397*cMC**2d0*coupl(nGC_2)*(coupl( &
              nGC_35) + coupl(nGC_39))/rMZ**2d0 + 4d0*Nc*Ten398*cMT**2d0*coupl(&
              nGC_2)*(coupl(nGC_35) + coupl(nGC_39))/rMZ**2d0 + 4d0*Nc*Ten399* &
              cMD**2d0*coupl(nGC_1)*(coupl(nGC_34) + coupl(nGC_38))/rMZ**2d0 + &
              4d0*Nc*Ten400*cMS**2d0*coupl(nGC_1)*(coupl(nGC_34) + coupl(nGC_38&
              ))/rMZ**2d0 + 4d0*Nc*Ten401*cMB**2d0*coupl(nGC_1)*(coupl(nGC_34  &
              ) + coupl(nGC_38))/rMZ**2d0 - 4d0*Nc*Ten414*coupl(nGC_2)*(coupl( &
              nGC_35) + coupl(nGC_39)) - 4d0*Nc*Ten415*coupl(nGC_2)*(coupl(    &
              nGC_35) + coupl(nGC_39)) - 4d0*Nc*Ten416*coupl(nGC_2)*(coupl(    &
              nGC_35) + coupl(nGC_39)) - 8d0*Nc*Ten417*coupl(nGC_2)*(coupl(    &
              nGC_35) + coupl(nGC_39))/rMZ**2d0 - 8d0*Nc*Ten418*coupl(nGC_2)*( &
              coupl(nGC_35) + coupl(nGC_39))/rMZ**2d0 - 8d0*Nc*Ten419*coupl(   &
              nGC_2)*(coupl(nGC_35) + coupl(nGC_39))/rMZ**2d0 - 4d0*Nc*Ten420* &
              coupl(nGC_2)*(coupl(nGC_35) + coupl(nGC_39)) - 4d0*Nc*Ten421*    &
              coupl(nGC_2)*(coupl(nGC_35) + coupl(nGC_39)) - 4d0*Nc*Ten422*    &
              coupl(nGC_2)*(coupl(nGC_35) + coupl(nGC_39)) - 4d0*Nc*Ten423*    &
              coupl(nGC_1)*(coupl(nGC_34) + coupl(nGC_38)) - 4d0*Nc*Ten424*    &
              coupl(nGC_1)*(coupl(nGC_34) + coupl(nGC_38)) - 4d0*Nc*Ten425*    &
              coupl(nGC_1)*(coupl(nGC_34) + coupl(nGC_38)) - 8d0*Nc*Ten426*    &
              coupl(nGC_1)*(coupl(nGC_34) + coupl(nGC_38))/rMZ**2d0 - 8d0*Nc*  &
              Ten427*coupl(nGC_1)*(coupl(nGC_34) + coupl(nGC_38))/rMZ**2d0 -   &
              8d0*Nc*Ten428*coupl(nGC_1)*(coupl(nGC_34) + coupl(nGC_38))/rMZ** &
              2d0 - 4d0*Nc*Ten429*coupl(nGC_1)*(coupl(nGC_34) + coupl(nGC_38   &
              )) - 4d0*Nc*Ten430*coupl(nGC_1)*(coupl(nGC_34) + coupl(nGC_38    &
              )) - 4d0*Nc*Ten431*coupl(nGC_1)*(coupl(nGC_34) + coupl(nGC_38    &
              )) + 2d0*cima*Ten2*(-3d0*coupl(nGC_29) + coupl(nGC_42))/cMZ**2d0 &
               + 4d0*Ten364*coupl(nGC_47)*coupl(nGC_51)*(-cMZ**2d0 + rMZ**2d0  &
              )/(cMZ**2d0*rMZ**2d0) + 2d0*Ten367*(-cMZ**2d0*coupl(nGC_24)*coupl&
              (nGC_4) + 17d0*cMZ**2d0*coupl(nGC_25)*coupl(nGC_3) + 4d0*cMZ**2d0&
              *coupl(nGC_4)*coupl(nGC_40) + coupl(nGC_24)*coupl(nGC_4)*rMZ**2d0&
               - 17d0*coupl(nGC_25)*coupl(nGC_3)*rMZ**2d0 - 4d0*coupl(nGC_4)*  &
              coupl(nGC_40)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Ten374*cME**2d0&
              *coupl(nGC_4)*(-cMZ**2d0*coupl(nGC_36) - cMZ**2d0*coupl(nGC_40   &
              ) + coupl(nGC_36)*rMZ**2d0 + coupl(nGC_40)*rMZ**2d0)/(cMZ**2d0*  &
              rMZ**2d0) + 4d0*Ten375*cMM**2d0*coupl(nGC_4)*(-cMZ**2d0*coupl(   &
              nGC_36) - cMZ**2d0*coupl(nGC_40) + coupl(nGC_36)*rMZ**2d0 + coupl&
              (nGC_40)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Ten376*cMTA**2d0*   &
              coupl(nGC_4)*(-cMZ**2d0*coupl(nGC_36) - cMZ**2d0*coupl(nGC_40) + &
              coupl(nGC_36)*rMZ**2d0 + coupl(nGC_40)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 8d0*Ten377*coupl(nGC_4)*(cMZ**2d0*coupl(nGC_36) + cMZ**2d0&
              *coupl(nGC_40) - coupl(nGC_36)*rMZ**2d0 - coupl(nGC_40)*rMZ**2d0 &
              )/(cMZ**2d0*rMZ**2d0) + 8d0*Ten378*coupl(nGC_4)*(cMZ**2d0*coupl( &
              nGC_36) + cMZ**2d0*coupl(nGC_40) - coupl(nGC_36)*rMZ**2d0 - coupl&
              (nGC_40)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Ten379*coupl(nGC_4  &
              )*(cMZ**2d0*coupl(nGC_36) + cMZ**2d0*coupl(nGC_40) - coupl(nGC_36&
              )*rMZ**2d0 - coupl(nGC_40)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 2d0*  &
              Ten392*(-5d0*coupl(nGC_25)*coupl(nGC_3)*rMZ**2d0 + 2d0*coupl(    &
              nGC_47)*coupl(nGC_51))/rMZ**2d0 + 4d0*Ten393*cME**2d0*coupl(nGC_4&
              )*(coupl(nGC_36) + coupl(nGC_40))/rMZ**2d0 + 4d0*Ten394*cMM**2d0*&
              coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40))/rMZ**2d0 + 4d0*     &
              Ten395*cMTA**2d0*coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40))/rMZ&
              **2d0 - 4d0*Ten402*coupl(nGC_25)*coupl(nGC_3) + 2d0*Ten403*(coupl&
              (nGC_24)*coupl(nGC_4) - 17d0*coupl(nGC_25)*coupl(nGC_3) - 4d0*   &
              coupl(nGC_4)*coupl(nGC_40))/rMZ**2d0 - 4d0*Ten404*coupl(nGC_25)* &
              coupl(nGC_3) - 4d0*Ten405*coupl(nGC_4)*(coupl(nGC_36) + coupl(   &
              nGC_40)) - 4d0*Ten406*coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40 &
              )) - 4d0*Ten407*coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40)) -   &
              8d0*Ten408*coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40))/rMZ**2d0 &
               - 8d0*Ten409*coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40))/rMZ** &
              2d0 - 8d0*Ten410*coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40))/rMZ&
              **2d0 - 4d0*Ten411*coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40    &
              )) - 4d0*Ten412*coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40)) -   &
              4d0*Ten413*coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40)) + 2d0*(  &
              2d0*Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMB**2d0*    &
              coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMC**2d0*coupl(nGC_2)*coupl( &
              nGC_35) + 2d0*Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_39) + 2d0*Nc*cMD&
              **2d0*coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMD**2d0*coupl(nGC_1)* &
              coupl(nGC_38) + 2d0*Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_34) + 2d0*&
              Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMT**2d0*coupl(  &
              nGC_2)*coupl(nGC_35) + 2d0*Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_39 &
              ) + 2d0*Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMU**2d0*&
              coupl(nGC_2)*coupl(nGC_39) - Nc*cMZ**2d0*coupl(nGC_1)*coupl(     &
              nGC_34) - Nc*cMZ**2d0*coupl(nGC_1)*coupl(nGC_38) - Nc*cMZ**2d0*  &
              coupl(nGC_2)*coupl(nGC_35) - Nc*cMZ**2d0*coupl(nGC_2)*coupl(     &
              nGC_39) + 2d0*cME**2d0*coupl(nGC_36)*coupl(nGC_4) + 2d0*cME**2d0*&
              coupl(nGC_4)*coupl(nGC_40) + 2d0*cMM**2d0*coupl(nGC_36)*coupl(   &
              nGC_4) + 2d0*cMM**2d0*coupl(nGC_4)*coupl(nGC_40) + 2d0*cMTA**2d0*&
              coupl(nGC_36)*coupl(nGC_4) + 2d0*cMTA**2d0*coupl(nGC_4)*coupl(   &
              nGC_40) + 6d0*cMW**2d0*coupl(nGC_25)*coupl(nGC_3) + 2d0*cima*cMW &
              **2d0*coupl(nGC_29) - cMZ**2d0*coupl(nGC_25)*coupl(nGC_3) - cMZ**&
              2d0*coupl(nGC_36)*coupl(nGC_4) - cMZ**2d0*coupl(nGC_4)*coupl(    &
              nGC_40))/cMZ**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZAZ_QED2 = cone*real(dZAZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter52
end module ctparameter52
